Subject: bug#11182: 24.0.93; In *shell* buffer, '?' can't be inserted after TAB.

From: "Drew Adams" <[email-masked]>
Date: Fri, 6 Apr 2012 13:43:49 -0700

> Shouldn't Shell Mode and its derivatives remap that to M-? or some
> such?  `?' is too frequent a character in command-line interfaces to
> have it bound to anything other than self-insert-command, IMO.  At
> least both Bash and GDB bind that function to M-?, and I think Emacs
> should follow suit.

FWIW - `M-?' is what Icicles uses for (minibuffer) completion help.

I think it's nuts that vanilla Emacs still uses ordinary, printing chars such as
`?' and `newline' for special minibuffer commands, instead of just inserting
them.  And even `SPC' outside of (finally!) file names.  A user is more likely
to expect `?' to self-insert than to think s?he should use `C-q ?' to insert a
`?'.

Yes, I know you've heard it before...  But glad to hear Eli in favor of `M-?'
here.